<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/hotlinkprevention/class/view/pluginglobalhotlinkpreventionconfigview.class.php" );	

	/**
	 * shows a form with the current configuration
	 */
	class PluginGlobalHotlinkPreventionConfigAction extends AdminAction
	{
		
		function PluginGlobalHotlinkPreventionConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginGlobalHotlinkPreventionConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>